"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteFiles = void 0;
const path = require("path");
const fs_1 = require("fs");
const chalk = require("chalk");
async function deleteFiles(mergedOptions, Session, logger) {
    let session = Session;
    logger.info(`${chalk.red('removeFile')}`, {
        session,
        type: 'connection'
    });
    const pathTokens = path.join(path.resolve(process.cwd() + mergedOptions.mkdirFolderToken, mergedOptions.folderNameToken), `${Session}.data.json`);
    if ((0, fs_1.existsSync)(pathTokens)) {
        (0, fs_1.unlink)(pathTokens, (err) => {
            if (err) {
                logger.info(`${chalk.green('removeFile')}`, {
                    session,
                    type: 'connection'
                });
            }
            logger.info(`Not removed file: ${pathTokens}`, {
                session,
                type: 'connection'
            });
        });
    }
    else {
        logger.info(`${chalk.red(`Not Files: ${pathTokens}`)}`, {
            session,
            type: 'connection'
        });
    }
}
exports.deleteFiles = deleteFiles;
//# sourceMappingURL=delete-file.js.map