"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Mine = exports.fileToBase64 = void 0;
const mimeTypes = require('mime-types');
const fs = require("fs");
/**
 * Converts given file into base64 string
 * @param path file path
 * @param mime Optional, will retrieve file mime automatically if not defined (Example: 'image/png')
 */
async function fileToBase64(path, mime) {
    if (fs.existsSync(path)) {
        const base64 = fs.readFileSync(path, { encoding: 'base64' });
        if (mime === undefined) {
            mime = await mimeTypes.lookup(path);
        }
        const data = `data:${mime};base64,${base64}`;
        return data;
    }
    else {
        return false;
    }
}
exports.fileToBase64 = fileToBase64;
async function Mine(path) {
    if (fs.existsSync(path)) {
        const mime = await mimeTypes.lookup(path);
        return mime;
    }
    else {
        return false;
    }
}
exports.Mine = Mine;
//# sourceMappingURL=file-to-base64.js.map