"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filenameFromMimeType = void 0;
const path = require("path");
const mime = require("mime-types");
function filenameFromMimeType(filename, mimeType) {
    const filenameExtension = path.extname(filename);
    const mimeExtension = mime.extension(mimeType);
    if (!mimeExtension || filenameExtension === mimeExtension) {
        return filename;
    }
    return path.basename(filename, filenameExtension) + '.' + mimeExtension;
}
exports.filenameFromMimeType = filenameFromMimeType;
//# sourceMappingURL=filename-from-mimetype.js.map